Tar (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Tar class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.tools.ant.taskdefs.Tar

All Implemented Interfaces:
  SelectorContainer

public class Tar
extends MatchingTask

Creates a tar archive.

Since:
  Ant 1.1
Author:
  Stefano Mazzocchi stefano@apache.org, Stefan Bodewig, Magesh Umasankar

Nested Class Summary
`static class` | `Tar.TarCompressionMethod` Valid Modes for Compression attribute to Tar Task
`static class` | `Tar.TarFileSet` This is a FileSet with the option to specify permissions
`static class` | `Tar.TarLongFileMode` Set of options for long file handling in the task.

Field Summary
`static java.lang.String` | `FAIL` Deprecated. Tar.FAIL is deprecated and is replaced with Tar.TarLongFileMode.FAIL
`static java.lang.String` | `GNU` Deprecated. Tar.GNU is deprecated and is replaced with Tar.TarLongFileMode.GNU
`static java.lang.String` | `OMIT` Deprecated. Tar.OMIT is deprecated and is replaced with Tar.TarLongFileMode.OMIT
`static java.lang.String` | `TRUNCATE` Deprecated. Tar.TRUNCATE is deprecated and is replaced with Tar.TarLongFileMode.TRUNCATE
`static java.lang.String` | `WARN` Deprecated. Tar.WARN is deprecated and is replaced with Tar.TarLongFileMode.WARN

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Tar()`

Method Summary
`protected boolean` | `archiveIsUpToDate(java.lang.String[] files)` Deprecated. use the two-arg version instead.
`protected boolean` | `archiveIsUpToDate(java.lang.String[] files, java.io.File dir)`
`Tar.TarFileSet` | `createTarFileSet()` Add a new fileset with the option to specify permissions
`void` | `execute()` do the business
`void` | `setBasedir(java.io.File baseDir)` This is the base directory to look in for things to tar.
`void` | `setCompression(Tar.TarCompressionMethod mode)` Set compression method.
`void` | `setDestFile(java.io.File destFile)` Set is the name/location of where to create the tar file.
`void` | `setLongfile(java.lang.String mode)` Deprecated. setLongFile(String) is deprecated and is replaced with setLongFile(Tar.TarLongFileMode) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the mode in its own class.
`void` | `setLongfile(Tar.TarLongFileMode mode)` Set how to handle long files, those with a path>100 chars.
`void` | `setTarfile(java.io.File tarFile)` Deprecated. for consistency with other tasks, please use setDestFile()
`protected void` | `tarFile(java.io.File file, TarOutputStream tOut, java.lang.String vPath, Tar.TarFileSet tarFileSet)` tar a file

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WARN

    public static final java.lang.String WARN

  Deprecated. Tar.WARN is deprecated and is replaced with Tar.TarLongFileMode.WARN

  See Also:
    Constant Field Values

### FAIL

    public static final java.lang.String FAIL

  Deprecated. Tar.FAIL is deprecated and is replaced with Tar.TarLongFileMode.FAIL

  See Also:
    Constant Field Values

### TRUNCATE

    public static final java.lang.String TRUNCATE

  Deprecated. Tar.TRUNCATE is deprecated and is replaced with Tar.TarLongFileMode.TRUNCATE

  See Also:
    Constant Field Values

### GNU

    public static final java.lang.String GNU

  Deprecated. Tar.GNU is deprecated and is replaced with Tar.TarLongFileMode.GNU

  See Also:
    Constant Field Values

### OMIT

    public static final java.lang.String OMIT

  Deprecated. Tar.OMIT is deprecated and is replaced with Tar.TarLongFileMode.OMIT

  See Also:
    Constant Field Values

Constructor Detail

### Tar

    public Tar()

Method Detail

### createTarFileSet

    public Tar.TarFileSet createTarFileSet()

  Add a new fileset with the option to specify permissions

### setTarfile

    public void setTarfile(java.io.File tarFile)

  Deprecated. for consistency with other tasks, please use setDestFile()

  Set is the name/location of where to create the tar file.

### setDestFile

    public void setDestFile(java.io.File destFile)

  Set is the name/location of where to create the tar file.

  Parameters:
    `destFile` - The output of the tar
  Since:
    Ant 1.5

### setBasedir

    public void setBasedir(java.io.File baseDir)

  This is the base directory to look in for things to tar.

### setLongfile

    public void setLongfile(java.lang.String mode)

  Deprecated. setLongFile(String) is deprecated and is replaced with setLongFile(Tar.TarLongFileMode) to make Ant's Introspection mechanism do the work and also to encapsulate operations on the mode in its own class.

  Set how to handle long files, those with a path>100 chars. Optional, default=warn.

  Allowable values are

  - truncate - paths are truncated to the maximum length
  - fail - paths greater than the maximim cause a build exception
  - warn - paths greater than the maximum cause a warning and GNU is used
  - gnu - GNU extensions are used for any paths greater than the maximum.
  - omit - paths greater than the maximum are omitted from the archive

### setLongfile

    public void setLongfile(Tar.TarLongFileMode mode)

  Set how to handle long files, those with a path>100 chars. Optional, default=warn.

  Allowable values are

  - truncate - paths are truncated to the maximum length
  - fail - paths greater than the maximim cause a build exception
  - warn - paths greater than the maximum cause a warning and GNU is used
  - gnu - GNU extensions are used for any paths greater than the maximum.
  - omit - paths greater than the maximum are omitted from the archive

### setCompression

    public void setCompression(Tar.TarCompressionMethod mode)

  Set compression method. Allowable values are
  - none - no compression
  - gzip - Gzip compression
  - bzip2 - Bzip2 compression

### execute

    public void execute()
                 throws BuildException

  do the business

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### tarFile

    protected void tarFile(java.io.File file,
                           TarOutputStream tOut,
                           java.lang.String vPath,
                           Tar.TarFileSet tarFileSet)
                    throws java.io.IOException

  tar a file

  Throws:
    `java.io.IOException`

### archiveIsUpToDate

    protected boolean archiveIsUpToDate(java.lang.String[] files)

  Deprecated. use the two-arg version instead.

### archiveIsUpToDate

    protected boolean archiveIsUpToDate(java.lang.String[] files,
                                        java.io.File dir)

  Since:
    Ant 1.5.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.